using PlcSiemens.O;
using PlcSiemens.Protocol.Common;
using PlcSiemens.Protocol.Control;
using PlcSiemens.Protocol.DateTime;

namespace PlcSiemens.ProtocolHandle
{
    public class PlcColdStartHandle : IPacketHandle
    {
        public PlcColdStartRequest Request { get; set; }
        public ControlResponse Response { get; set; }

        public ResultCode ResultCode { get; set; }

        public PlcColdStartHandle()
        {
            ResultCode = ResultCode.Unknown;
            Request = new PlcColdStartRequest();
        }

        public void Handle(IIsoSender sender)
        {
            Response = sender.IsoSend<PlcColdStartRequest, ControlResponse>(Request);
            if (Response == null) return;

            ResultCode = Response.Header.Error;
        }
    }
}
